FreeMat

- Main Page
- Related Pages

vtkCameraWidget

Section: Visualization Toolkit Widget Classes

# Usage

This class provides support for interactively saving a series of camera views into an interpolated path (using vtkCameraInterpolator). To use the class start by specifying a camera to interpolate, and then simply start recording by hitting the "record" button, manipulate the camera (by using an interactor, direct scripting, or any other means), and then save the camera view. Repeat this process to record a series of views. The user can then play back interpolated camera views using the vtkCameraInterpolator.

To create an instance of class vtkCameraWidget, simply invoke its constructor as follows

      obj = vtkCameraWidget

# Methods

The class vtkCameraWidget has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCameraWidget class.

- `string = obj.GetClassName ()` - Standar VTK class methods.
- `int = obj.IsA (string name)` - Standar VTK class methods.
- `vtkCameraWidget = obj.NewInstance ()` - Standar VTK class methods.
- `vtkCameraWidget = obj.SafeDownCast (vtkObject o)` - Standar VTK class methods.
- `obj.SetRepresentation (vtkCameraRepresentation r)` - Create the default widget representation if one is not set.
- `obj.CreateDefaultRepresentation ()` - Create the default widget representation if one is not set.